/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.social.privatemessaging.web.internal.notifications;

import com.liferay.portal.kernel.model.UserNotificationDeliveryConstants;
import com.liferay.portal.kernel.notifications.UserNotificationDefinition;
import com.liferay.portal.kernel.notifications.UserNotificationDeliveryType;
import com.liferay.social.privatemessaging.constants.PrivateMessagingPortletKeys;
import com.liferay.social.privatemessaging.model.PrivateMessagingConstants;

import org.osgi.service.component.annotations.Component;

/**
 * @author Eric Yan
 */
@Component(
	immediate = true,
	property = {
		"javax.portlet.name=" + PrivateMessagingPortletKeys.PRIVATE_MESSAGING
	},
	service = UserNotificationDefinition.class
)
public class PrivateMessagingNotificationDefinition
	extends UserNotificationDefinition {

	public PrivateMessagingNotificationDefinition() {
		super(
			PrivateMessagingPortletKeys.PRIVATE_MESSAGING, 0,
			PrivateMessagingConstants.NEW_MESSAGE,
			"receive-a-notification-when-someone-sends-you-a-message");

		addUserNotificationDeliveryType(
			new UserNotificationDeliveryType(
				"email", UserNotificationDeliveryConstants.TYPE_EMAIL, true,
				true));
		addUserNotificationDeliveryType(
			new UserNotificationDeliveryType(
				"website", UserNotificationDeliveryConstants.TYPE_WEBSITE, true,
				true));
	}

}